<?php
class AddedOptionsFieldForSelectsInSiteSettingsAndAddedPreventEditFlag extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'Added_options_field_for_selects_in_site_settings_and_added_prevent_edit_flag';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_site_settings_site_setting_categories' => array(
					'prevent_edit' => array('type' => 'boolean', 'null' => false, 'default' => '0', 'after' => 'sequence'),
				),
				'ev_site_settings_site_settings' => array(
					'options' => array('type' => 'text', 'null' => true, 'default' => null, 'collate' => 'utf8_general_ci', 'charset' => 'utf8', 'after' => 'type'),
					'prevent_edit' => array('type' => 'boolean', 'null' => false, 'default' => '0', 'after' => 'site_setting_category_id'),
				),
			),
			'alter_field' => array(
				'ev_site_settings_site_settings' => array(
					'array_slug' => array('type' => 'string', 'null' => false, 'default' => null, 'length' => 250, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_site_settings_site_setting_categories' => array('prevent_edit'),
				'ev_site_settings_site_settings' => array('options', 'prevent_edit'),
			),
			'alter_field' => array(
				'ev_site_settings_site_settings' => array(
					'array_slug' => array('type' => 'string', 'null' => false, 'length' => 250, 'collate' => 'utf8_general_ci', 'charset' => 'utf8'),
				),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
